org.vishia.gral.swt

## Class SwtTable.XXXFocusListenerCell

- java.lang.Object
- - org.vishia.gral.swt.SwtTable.XXXFocusListenerCell

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.FocusListener, org.eclipse.swt.internal.SWTEventListener
  Enclosing class:
    SwtTable

      private class SwtTable.XXXFocusListenerCell
      extends java.lang.Object
      implements org.eclipse.swt.events.FocusListener

  An instance of this is associated to any cell of the table. The focus gained method is used to set the current cell of the table and to invoke redraw to show the new selection. That focus event is invoked if the mouse button is pressed on that cell.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `XXXFocusListenerCell()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(org.eclipse.swt.events.FocusEvent ev)` This routine is invoked especially if the mouse is landing on a Text-field with click.
    `void` | `focusLost(org.eclipse.swt.events.FocusEvent ev)` Deprecated. unnecessary yet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XXXFocusListenerCell

          private XXXFocusListenerCell()

  - ### Method Detail

    - #### focusLost

          @Deprecated
          public void focusLost(org.eclipse.swt.events.FocusEvent ev)

      Deprecated. unnecessary yet.
      This method does nothing. A lost focus color showing may be forced from redraw of another table. Think about: maybe any action? Old: This routine is invoked whenever the focus of any Text field of the table will be lost the focus. Before that occurs, the field is the selected line, because it has had the focus. Therefore the `GralTable#colorBackSelectNonFocused` is set.
      Specified by:
        `focusLost` in interface `org.eclipse.swt.events.FocusListener`

    - #### focusGained

          public void focusGained(org.eclipse.swt.events.FocusEvent ev)

      This routine is invoked especially if the mouse is landing on a Text-field with click. Then this table line and column should be selected as currently.
      This routine is invoked on setFocus()-call too. In this case it should not done anything. The variable #bRedrawPending guards it.
      Specified by:
        `focusGained` in interface `org.eclipse.swt.events.FocusListener`
      See Also:
        `FocusListener.focusGained(org.eclipse.swt.events.FocusEvent)`